# \[Order] Query current order list

**method url**:`/api/third/order/selectContractCurrentEntrustList`

**request type**:`POST`

**content type**：application/x-www-form-urlencoded

**need sign:**`true`

**detail**:

**request param**:

| param\_name | param note | type  | required | data type      | schema |
| ----------- | ---------- | ----- | -------- | -------------- | ------ |
| pairName    |            | query | true     | string         |        |
| pageNo      |            | query | false    | integer(int64) |        |
| pageSize    | limit 100  | query | false    | integer(int64) |        |
| timestamp   |            | query | true     | string         |        |

**response param**:(list)

| param\_name           | param note                                                                                                                 | type              | schema |
| --------------------- | -------------------------------------------------------------------------------------------------------------------------- | ----------------- | ------ |
|   amount              |                                                                                                                            | number            |        |
|   contractPairId      |                                                                                                                            | integer(int64)    |        |
|   contractPositionId  |                                                                                                                            | integer(int64)    |        |
|   createTime          |                                                                                                                            | string(date-time) |        |
|   createTimeStamp     |                                                                                                                            | integer(int64)    |        |
|   dealAmount          |                                                                                                                            | number            |        |
|   dealQuantity        |                                                                                                                            | number            |        |
|   depositAmount       | margin amount                                                                                                              | number            |        |
|   id                  |                                                                                                                            | integer(int64)    |        |
|   isClose             | true/false                                                                                                                 | boolean           |        |
|   isLong              | true/false                                                                                                                 | boolean           |        |
|   isMarket            | true/false                                                                                                                 | boolean           |        |
|   lever               |                                                                                                                            | integer(int32)    |        |
|   matchType           | 1 GTC ；2 IOC ；3 FOK ；4 POST\_ONLY ；                                                                                        | integer(int32)    |        |
|   price               |                                                                                                                            | number            |        |
|   quantity            |                                                                                                                            | number            |        |
|   symbol              |                                                                                                                            | string            |        |
|   triggerPrice        |                                                                                                                            | number            |        |
|   triggerType         | 0\_none；1\_current price；2\_mark price；                                                                                    | integer(int32)    |        |
|   isDual              |                                                                                                                            | boolean           |        |
|   faceMultiplier      | Face value multiplier: the exchange rate of the dual currency currency, the exchange price/transaction price; unmodifiable | number            |        |
|   accountCoinId       |                                                                                                                            | integer(int64)    |        |
|     accountCoinSymbol |                                                                                                                            | string            |        |
|   isDelivery          |                                                                                                                            | boolean           |        |
|   deliveryTime        |                                                                                                                            | string(date-time) |        |
|   deliveryTimeStamp   |                                                                                                                            | integer(int64)    |        |
|   activatePrice       |                                                                                                                            | number            |        |
|   callbackRate        |                                                                                                                            | number            |        |
|   clientOrderId       |                                                                                                                            | string            |        |

**example**:

> 1 Set request parameters, query params:

```
pageNo:1
pageSize:2
pairName:ETH-USD
timestamp:1725867816041
```

> 2 Build the Parameters

```
pageNo=1&pageSize=2&pairName=ETH-USD&timestamp=1725867816041
```

> 3 Sign the parameter string format, result:

```
0xca57766c2e5cece1671b65bd2409a2dffa685781a7987b3a8eef2a95e25709d938135836810eb05976528abd8706a495170a738e36b1c25ee792b6493f1873751b
```

> 4 Assemble the complete request

```
curl --location --request POST 'https://zk-test.satori.finance/api/third/order/selectContractCurrentEntrustList?pageNo=1&pageSize=2&pairName=ETH-USD&timestamp=1725867816041' \
--header 'APIKEY: st_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7' \
--header 'X-SAPI-SIGN-TYPE: 2' \
--header 'signature: 0xca57766c2e5cece1671b65bd2409a2dffa685781a7987b3a8eef2a95e25709d938135836810eb05976528abd8706a495170a738e36b1c25ee792b6493f1873751b' \
--header 'Content-Type: text/plain' \
--data ''
```

> 5 Return results

```
{
    "error": false,
    "code": 200,
    "msg": "SUCCESS",
    "data": [
        {
            "id": 180599703,
            "contractPairId": 1,
            "symbol": "ETH-USD",
            "isDual": null,
            "faceMultiplier": null,
            "accountCoinId": null,
            "accountCoinSymbol": null,
            "isMarket": false,
            "isClose": false,
            "isLong": false,
            "price": "3500",
            "quantity": "0.02",
            "amount": "77",
            "depositAmount": "77.0462",
            "lever": 1,
            "positionType": 3,
            "dealQuantity": "0",
            "dealAmount": "0",
            "contractPositionId": 0,
            "triggerType": 0,
            "triggerPrice": null,
            "matchType": 1,
            "createTime": "2024-09-09 07:41:34",
            "createTimeStamp": null,
            "isDelivery": null,
            "deliveryTime": null,
            "deliveryTimeStamp": null,
            "activatePrice": null,
            "callbackRate": null,
            "clientOrderId": "1725867693226"
        },
        {
            "id": 180599702,
            "contractPairId": 1,
            "symbol": "ETH-USD",
            "isDual": null,
            "faceMultiplier": null,
            "accountCoinId": null,
            "accountCoinSymbol": null,
            "isMarket": false,
            "isClose": false,
            "isLong": false,
            "price": "3500",
            "quantity": "0.02",
            "amount": "77",
            "depositAmount": "77.0462",
            "lever": 1,
            "positionType": 3,
            "dealQuantity": "0",
            "dealAmount": "0",
            "contractPositionId": 0,
            "triggerType": 0,
            "triggerPrice": null,
            "matchType": 1,
            "createTime": "2024-09-09 07:41:34",
            "createTimeStamp": null,
            "isDelivery": null,
            "deliveryTime": null,
            "deliveryTimeStamp": null,
            "activatePrice": null,
            "callbackRate": null,
            "clientOrderId": "1725867693226"
        }
    ],
    "sid": "1809703572113465345"
}
```

**Error Code**:

| code | msg                        |
| ---- | -------------------------- |
| 2001 | Illegal parameter:{param0} |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.satori.finance/api-docs/openapi/rest-api/private-query/order-query-current-order-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
